> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gbase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Message Rating



## OpenAPI

````yaml https://api.gbase.ai/openapi-redoc.json patch /v1/{ai_id}/message_rating
openapi: 3.1.0
info:
  title: GBase
  description: >
    # Introduce

    This API document can help you understand GBase more deeply. 

    You can train your own AI directly through the interface of this document.



    ##  Authentication


    Home page: [https://gbase.ai](https://gbase.ai)


    Huggingface:
    [https://huggingface.co/gptbase](https://huggingface.co/gptbase)


    The GBase API uses API keys for authentication. Visit your API Keys page to
    retrieve the API key you'll use in your requests.


    Remember that your API key is a secret! Do not share it with others or
    expose it in any client-side code (browsers, apps). 

    Production requests must be routed through your own backend server where
    your API key can be securely loaded from an environment variable or key
    management service.


    All API requests should include your API key in an Authorization HTTP header
    as follows:


    Parameter name: Authorization


    Value: Bearer [YOUR_API_KEY](https://admin.gbase.ai/keys)


    ```

    Authorization: Bearer YOUR_API_KEY

    ```


    ## Use steps

    1.Fill in your API keys.


    2.You can create an AI by using either the API interface or the
    administrative backend. Once created, the AI will generate an ID which will
    be required for the subsequent steps.


    3.Use the generated ID to call the file upload interface.


    4.After uploading the file, you can use the question interface to inquire
    about it.
  version: 0.0.1
servers:
  - url: https://api.gbase.ai
security: []
paths:
  /v1/{ai_id}/message_rating:
    patch:
      tags:
        - Question
      summary: Message Rating
      operationId: message_rating_v1__ai_id__message_rating_patch
      parameters:
        - required: true
          schema:
            type: string
            title: Ai Id
          name: ai_id
          in: path
        - required: true
          schema:
            type: string
            title: Session Id
          name: session_id
          in: query
        - required: true
          schema:
            type: string
            title: Message Id
          name: message_id
          in: query
        - required: true
          schema:
            type: integer
            title: Rating
          name: rating
          in: query
        - description: 'Source of the request: widget, api, playground, share'
          required: false
          schema:
            type: string
            title: Source
            description: 'Source of the request: widget, api, playground, share'
          name: source
          in: query
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_message_rating_v1__ai_id__message_rating_patch
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Auth0HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    Body_message_rating_v1__ai_id__message_rating_patch:
      properties:
        feedback_content:
          type: string
          title: Feedback Content
        feedback_metadata:
          type: object
          title: Feedback Metadata
          default: {}
      type: object
      title: Body_message_rating_v1__ai_id__message_rating_patch
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````